For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet market bbo
        • GETGet market bbo including all orders including RPI (as seen by the UI)
        • GETFunding data history
        • GETList available markets
        • GETOHLCV for a symbol
        • GETList available markets summary
        • GETGet market orderbook
        • GETGet market impact price
        • GETGet market interactive orderbook
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceMarkets

Funding data history

GET
https://api.testnet.paradex.trade/v1/funding/data
GET
/v1/funding/data
$curl -X GET https://api.testnet.paradex.trade/v1/funding/data?market=BTC-USD-PERP \
>-H 'Accept: application/json'
1{
2 "next": "eyJmaWx0ZXIiMiwiYXQiOjE2ODQ4MDAwMDAwMDAwLCJtYXJrZXIiOnsibWFya2V0IjoiQlRDLVVTRC1QRVJQIn19",
3 "prev": "eyJmaWx0ZXIiOnsiTGltaXQiOjEwMCwiYXQiOjE2ODQ3OTY0MDAwMDAwLCJtYXJrZXIiOnsibWFya2V0IjoiQlRDLVVTRC1QRVJQIn19fQ==",
4 "results": [
5 {
6 "created_at": 1684796400000,
7 "funding_index": "0.00012345",
8 "funding_period_hours": 8,
9 "funding_premium": "0.00004567",
10 "funding_rate": "0.00000567",
11 "funding_rate_8h": "0.00000567",
12 "market": "BTC-USD-PERP"
13 }
14 ]
15}
List historical funding data by market
Was this page helpful?
Previous

List available markets

Next
Built with

Query parameters

cursorstringOptional

Returns the ‘next’ paginated page.

end_atintegerOptional

End Time (unix time millisecond)

marketstringRequired
Market for which funding payments are queried
page_sizeintegerOptional1-5000Defaults to 100
Limit the number of responses in the page
start_atintegerOptional

Start Time (unix time millisecond)

Response

OK
nextstring

The pointer to fetch next set of records (null if there are no records left)

prevstring

The pointer to fetch previous set of records (null if there are no records left)

resultslist of objects
Array of paginated results

Errors

400
Bad Request Error